Index: c/src/lib/libbsp/m68k/gen68340/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 2d971fcecf952ac495f7318e036bd3155c42d47c)
+++ c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 3e1fc109aefaa226864b37be9df8e0a1d70d9f38)
@@ -1,2 +1,8 @@
+2004-03-31	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* clock/ckinit.c, console/m340uart.c, include/bsp.h,
+	include/m340uart.h, startup/bspstart.c: Convert to using c99 fixed
+	size types.
+
 2004-02-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/m68k/gen68340/clock/ckinit.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/clock/ckinit.c	(revision 2d971fcecf952ac495f7318e036bd3155c42d47c)
+++ c/src/lib/libbsp/m68k/gen68340/clock/ckinit.c	(revision 3e1fc109aefaa226864b37be9df8e0a1d70d9f38)
@@ -41,5 +41,5 @@
  * number of clock ticks since the driver was initialized.
  */
-volatile rtems_unsigned32 Clock_driver_ticks;
+volatile uint32_t         Clock_driver_ticks;
 
 /*
@@ -94,6 +94,6 @@
 Install_clock (rtems_isr_entry clock_isr)
 {
-	unsigned32 pitr_tmp;
-	unsigned32 usecs_per_tick;
+	uint32_t   pitr_tmp;
+	uint32_t   usecs_per_tick;
 
 	Clock_driver_ticks = 0;
@@ -161,5 +161,5 @@
 )
 {
-	rtems_unsigned32 isrlevel;
+	uint32_t         isrlevel;
 	rtems_libio_ioctl_args_t *args = pargp;
 
Index: c/src/lib/libbsp/m68k/gen68340/console/m340uart.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/console/m340uart.c	(revision 2d971fcecf952ac495f7318e036bd3155c42d47c)
+++ c/src/lib/libbsp/m68k/gen68340/console/m340uart.c	(revision 3e1fc109aefaa226864b37be9df8e0a1d70d9f38)
@@ -193,6 +193,6 @@
  *****************************************************/
 t_baud_speed_table
-Find_Right_m340_UART_Config(float ChannelA_ReceiverBaudRate, float ChannelA_TransmitterBaudRate, rtems_unsigned8 enableA,
-			    float ChannelB_ReceiverBaudRate, float ChannelB_TransmitterBaudRate, rtems_unsigned8 enableB)
+Find_Right_m340_UART_Config(float ChannelA_ReceiverBaudRate, float ChannelA_TransmitterBaudRate, uint8_t         enableA,
+			    float ChannelB_ReceiverBaudRate, float ChannelB_TransmitterBaudRate, uint8_t         enableB)
 {
  t_baud_speed_table tableA, tableB;
Index: c/src/lib/libbsp/m68k/gen68340/include/bsp.h
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/include/bsp.h	(revision 2d971fcecf952ac495f7318e036bd3155c42d47c)
+++ c/src/lib/libbsp/m68k/gen68340/include/bsp.h	(revision 3e1fc109aefaa226864b37be9df8e0a1d70d9f38)
@@ -73,6 +73,6 @@
 
 #define rtems_bsp_delay( microseconds ) \
-  { register rtems_unsigned32 _delay=(microseconds); \
-    register rtems_unsigned32 _tmp=123; \
+  { register uint32_t         _delay=(microseconds); \
+    register uint32_t         _tmp=123; \
     asm volatile( "0: \
                      nbcd      %0 ; \
Index: c/src/lib/libbsp/m68k/gen68340/include/m340uart.h
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/include/m340uart.h	(revision 2d971fcecf952ac495f7318e036bd3155c42d47c)
+++ c/src/lib/libbsp/m68k/gen68340/include/m340uart.h	(revision 3e1fc109aefaa226864b37be9df8e0a1d70d9f38)
@@ -45,18 +45,18 @@
 
 typedef struct {
-		rtems_unsigned8		enable;
-		rtems_unsigned16	rx_buffer_size;	/* NOT IMPLEMENTED */
-		rtems_unsigned16	tx_buffer_size;	/* NOT IMPLEMENTED */
+		uint8_t        		enable;
+		uint16_t        	rx_buffer_size;	/* NOT IMPLEMENTED */
+		uint16_t        	tx_buffer_size;	/* NOT IMPLEMENTED */
 	       } uart_termios_config;
 
 typedef struct { /* for one channel */
-		rtems_unsigned8		enable;		/* use this channel */
+		uint8_t        		enable;		/* use this channel */
 		char			name[64];	/* use UART_CONSOLE_NAME for console purpose */
-		rtems_unsigned8		parity_mode;	/* parity mode, see MR1 section for defines */
-		rtems_unsigned8		bits_per_char;	/* bits per character, see MR1 section for defines  */
+		uint8_t        		parity_mode;	/* parity mode, see MR1 section for defines */
+		uint8_t        		bits_per_char;	/* bits per character, see MR1 section for defines  */
 		float			rx_baudrate;	/* Rx baudrate */
 		float			tx_baudrate;	/* Tx baudrate */
-		rtems_unsigned8		rx_mode;	/* FIFO Full (UART_FIFO_FULL) or ChannelReceiverReady (UART_CRR) */
-		rtems_unsigned8		mode;		/* use interrupts (UART_INTERRUPTS) or polling (UART_POLLING) */
+		uint8_t        		rx_mode;	/* FIFO Full (UART_FIFO_FULL) or ChannelReceiverReady (UART_CRR) */
+		uint8_t        		mode;		/* use interrupts (UART_INTERRUPTS) or polling (UART_POLLING) */
 		uart_termios_config	termios;
 	       } uart_channel_config;
@@ -76,6 +76,6 @@
 
 extern t_baud_speed_table
-Find_Right_m340_UART_Config(float ChannelA_ReceiverBaudRate, float ChannelA_TransmitterBaudRate, rtems_unsigned8 enableA,
-			    float ChannelB_ReceiverBaudRate, float ChannelB_TransmitterBaudRate, rtems_unsigned8 enableB);
+Find_Right_m340_UART_Config(float ChannelA_ReceiverBaudRate, float ChannelA_TransmitterBaudRate, uint8_t         enableA,
+			    float ChannelB_ReceiverBaudRate, float ChannelB_TransmitterBaudRate, uint8_t         enableB);
 
 extern rtems_isr InterruptHandler (rtems_vector_number v);
Index: c/src/lib/libbsp/m68k/gen68340/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/startup/bspstart.c	(revision 2d971fcecf952ac495f7318e036bd3155c42d47c)
+++ c/src/lib/libbsp/m68k/gen68340/startup/bspstart.c	(revision 3e1fc109aefaa226864b37be9df8e0a1d70d9f38)
@@ -42,5 +42,5 @@
  */
 void bsp_postdriver_hook(void);
-void bsp_libc_init( void *, unsigned32, int );
+void bsp_libc_init( void *, uint32_t, int );
 void bsp_pretasking_hook(void);               /* m68k version */
 
